Subject: bug#48060: "make check" leaves temporary files after native-comp merge

From: Michael Albinus <[email-masked]>
Date: Wed, 28 Apr 2021 12:57:03 +0200

Andrea Corallo <[email-masked]> writes:

> Hi Michael,

Hi Andrea,

> the issue is that here is not really the test function that is creating
> this folder, but Emacs it-self that to operate needs a folder to store
> and retrieve eln files.

I know.

> For the test-suite we moved to a different folder than the one we use
> for normal runs to have a clean environment to run the test-suite on.

Couldn't you create this different folder inside an ert-deftest, and
remove it at test-case end?

> Regards
>   Andrea